Bug 162313 - print/foo2zjs: example devd rules
Summary: print/foo2zjs: example devd rules
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-05 17:00 UTC by Robert Millan
Modified: 2014-04-01 21:00 UTC (History)
0 users

See Also:


Attachments
file.txt (384 bytes, text/plain)
2011-11-05 17:00 UTC, Robert Millan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Millan freebsd_committer 2011-11-05 17:00:40 UTC
Hi,

Please consider including the following sample devd rules for foo2zfs.  They could be installed in /usr/local/etc/devd/foo2zfs.conf or such (see attachment).

It might also be useful if the firmware files were installed by the port as well, e.g.:

  ./getweb 1018
  arm2hpdl < sihp1018.img > /usr/local/share/foo2zjs/firmware/sihp1018.dl

Fix: Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2011-11-20 22:52:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Fix synopsis and assign.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2014-03-29 04:47:33 UTC
Responsible Changed
From-To: acm->freebsd-ports-bugs

Maintainer was reset.
Comment 3 Boris Samorodov freebsd_committer 2014-04-01 12:04:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bsam

Take.
Comment 4 dfilter service freebsd_committer 2014-04-01 20:43:31 UTC
Author: bsam
Date: Tue Apr  1 19:43:27 2014
New Revision: 349883
URL: http://svnweb.freebsd.org/changeset/ports/349883
QAT: https://qat.redports.org/buildarchive/r349883/

Log:
  print/foo2zjs -- incorporate devd configuration file:
  . add a configuration file with samples for devd;
  . add a note to pkg-message file;
  . bump PORTREVISION.
  
  PR:		ports/162313 (based on)
  Submitted by:	rmh

Modified:
  head/print/foo2zjs/Makefile
  head/print/foo2zjs/files/pkg-message.in
  head/print/foo2zjs/pkg-plist

Modified: head/print/foo2zjs/Makefile
==============================================================================
--- head/print/foo2zjs/Makefile	Tue Apr  1 19:41:31 2014	(r349882)
+++ head/print/foo2zjs/Makefile	Tue Apr  1 19:43:27 2014	(r349883)
@@ -3,7 +3,7 @@
 
 PORTNAME=	foo2zjs
 PORTVERSION=	20140330
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	print
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE} \
 		${MASTER_SITE_LOCAL:S,$,bsam/${PORTNAME}/,}  \
@@ -20,8 +20,9 @@ PROJECTHOST=	bsdistfiles
 USE_GHOSTSCRIPT=yes
 USES=		gmake shebangfix
 SHEBANG_FILES=	msexpand
-SUB_FILES=	pkg-message
+SUB_FILES=	pkg-message ${DEVDCONF_FILE}
 EXTRAFILES=	msexpand getweb
+DEVDCONF_FILE=	${PORTNAME}.conf
 
 OPTIONS_DEFINE=	DOCS
 
@@ -29,8 +30,11 @@ post-patch:
 	@${REINPLACE_CMD} -e 's|^CFLAGS|CFLAGS?|g' -e 's|^PREFIX|PREFIX?|g' ${WRKSRC}/icc2ps/Makefile
 
 post-install:
-	@cd ${WRKSRC} && \
+	cd ${WRKSRC} && \
 		${INSTALL_SCRIPT} ${EXTRAFILES} ${STAGEDIR}${PREFIX}/bin
+	@${MKDIR} ${STAGEDIR}/etc/devd
+	cd ${WRKDIR} && \
+		${INSTALL_SCRIPT} ${DEVDCONF_FILE} ${STAGEDIR}${PREFIX}/etc/devd
 	@${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/foo2zjs-icc2ps
 	@${MKDIR} ${STAGEDIR}${DOCSDIR}
 .for FILE in ChangeLog INSTALL README manual.pdf

Modified: head/print/foo2zjs/files/pkg-message.in
==============================================================================
--- head/print/foo2zjs/files/pkg-message.in	Tue Apr  1 19:41:31 2014	(r349882)
+++ head/print/foo2zjs/files/pkg-message.in	Tue Apr  1 19:43:27 2014	(r349883)
@@ -15,6 +15,9 @@
      cp hpclj26*.icm km2430*.icm %%PREFIX%%/share/foo2hp/icm && \
      rm *.icm *.img
 
-4) Enjoy it ;)
+4) Edit %%PREFIX%%/etc/devd/foo2zjs.conf to fit your needs
+   and restart devd.
+
+5) Enjoy it ;)
 
 ###############################################################################

Modified: head/print/foo2zjs/pkg-plist
==============================================================================
--- head/print/foo2zjs/pkg-plist	Tue Apr  1 19:41:31 2014	(r349882)
+++ head/print/foo2zjs/pkg-plist	Tue Apr  1 19:43:27 2014	(r349883)
@@ -34,6 +34,7 @@ bin/qpdldecode
 bin/slxdecode
 bin/xqxdecode
 bin/zjsdecode
+etc/devd/foo2zjs.conf
 foomatic/db/source/opt/foo2hbpl1-ColorMode.xml
 foomatic/db/source/opt/foo2hbpl1-ICM.xml
 foomatic/db/source/opt/foo2hbpl1-MediaType.xml
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Boris Samorodov freebsd_committer 2014-04-01 20:47:29 UTC
State Changed
From-To: feedback->closed

I've just committed the devd part of the PR. 

As for the other part I'm not sure if it's a good idea since those 
binaries are proprietary ones with different licenses and copyrights... 
Closing the PR for now. If you insist, the PR may be reopened. 

Thanks for the report!